Browse Source

Sync with portage [Thu Aug 5 00:25:36 MSK 2021].

master 2037
root 11 months ago
parent
commit
5b42336c45
  1. BIN
      Manifest.files.gz
  2. BIN
      app-arch/Manifest.gz
  3. 2
      app-arch/pbzip2/pbzip2-1.1.13.ebuild
  4. BIN
      app-emulation/Manifest.gz
  5. 1
      app-emulation/crossover-bin/Manifest
  6. 224
      app-emulation/crossover-bin/crossover-bin-21.0.0.ebuild
  7. 5
      app-emulation/crossover-bin/metadata.xml
  8. BIN
      app-text/Manifest.gz
  9. 2
      app-text/pastebinit/pastebinit-1.5.1.ebuild
  10. BIN
      dev-db/Manifest.gz
  11. 1
      dev-db/myodbc/Manifest
  12. 131
      dev-db/myodbc/myodbc-8.0.26.ebuild
  13. 1
      dev-db/mysql-connector-c++/Manifest
  14. 321
      dev-db/mysql-connector-c++/files/mysql-connector-c++-8.0.26-fix-build.patch
  15. 43
      dev-db/mysql-connector-c++/mysql-connector-c++-8.0.26.ebuild
  16. 1
      dev-db/mysql-connector-c/Manifest
  17. 122
      dev-db/mysql-connector-c/mysql-connector-c-8.0.26.ebuild
  18. 4
      dev-db/mysql/Manifest
  19. 1293
      dev-db/mysql/mysql-5.7.35.ebuild
  20. 1226
      dev-db/mysql/mysql-8.0.26.ebuild
  21. 2
      dev-db/percona-server/Manifest
  22. 1273
      dev-db/percona-server/percona-server-8.0.25.15.ebuild
  23. 2
      dev-perl/Config-AutoConf/Config-AutoConf-0.319.0.ebuild
  24. 2
      dev-perl/File-Slurper/File-Slurper-0.12.0.ebuild
  25. BIN
      dev-perl/Manifest.gz
  26. 2
      dev-perl/PerlIO-utf8_strict/PerlIO-utf8_strict-0.8.0.ebuild
  27. BIN
      dev-python/Manifest.gz
  28. 2
      dev-python/anyio/anyio-3.2.1.ebuild
  29. 2
      dev-python/backports-entry_points_selectable/backports-entry_points_selectable-1.1.0.ebuild
  30. 2
      dev-python/configobj/configobj-5.0.6-r1.ebuild
  31. 2
      dev-python/httpcore/httpcore-0.13.6.ebuild
  32. 2
      dev-python/mkdocs-material/Manifest
  33. 2
      dev-python/mkdocs-material/mkdocs-material-7.2.2.ebuild
  34. 1
      dev-python/mysql-connector-python/Manifest
  35. 53
      dev-python/mysql-connector-python/mysql-connector-python-8.0.26.ebuild
  36. 2
      dev-python/platformdirs/platformdirs-2.0.2.ebuild
  37. 2
      dev-python/python-dotenv/python-dotenv-0.18.0-r1.ebuild
  38. 2
      dev-python/python-efl/python-efl-1.25.0.ebuild
  39. 2
      dev-python/python-lsp-server/Manifest
  40. 4
      dev-python/python-lsp-server/python-lsp-server-1.2.1.ebuild
  41. 1
      dev-python/setuptools/Manifest
  42. 87
      dev-python/setuptools/setuptools-57.4.0-r1.ebuild
  43. 11
      dev-python/tomli/tomli-1.0.4.ebuild
  44. 2
      dev-python/virtualenv/virtualenv-20.7.0.ebuild
  45. 2
      dev-python/wsproto/wsproto-1.0.0.ebuild
  46. BIN
      dev-util/Manifest.gz
  47. 1
      dev-util/howdoi/Manifest
  48. 26
      dev-util/howdoi/howdoi-2.0.17.ebuild
  49. 1
      dev-util/pkgcheck/Manifest
  50. 59
      dev-util/pkgcheck/pkgcheck-0.10.4.ebuild
  51. 24
      dev-util/pkgconf/files/pkgconf-1.7.3-darwin9.patch
  52. 3
      dev-util/pkgconf/metadata.xml
  53. 2
      dev-util/pkgconf/pkgconf-1.7.4.ebuild
  54. 2
      dev-util/pkgconf/pkgconf-1.8.0.ebuild
  55. 4
      dev-util/pkgconf/pkgconf-9999.ebuild
  56. 2
      dev-util/visualvm/visualvm-2.0.7.ebuild
  57. BIN
      mail-mta/Manifest.gz
  58. 2
      mail-mta/nullmailer/nullmailer-2.2-r2.ebuild
  59. BIN
      media-libs/Manifest.gz
  60. 41
      media-libs/ctl/ctl-1.5.2-r2.ebuild
  61. 25
      media-libs/ctl/files/ctl-1.5.2-fix-to-build-with-gcc-11.patch
  62. 65
      media-libs/ctl/files/ctl-1.5.2-fix-unit-tests.patch
  63. 21
      media-libs/ctl/files/ctl-1.5.2-install-dpx-library.patch
  64. BIN
      media-sound/Manifest.gz
  65. 2
      media-sound/cmusfm/cmusfm-0.4.0.ebuild
  66. 2
      media-sound/frescobaldi/frescobaldi-3.1.3.ebuild
  67. BIN
      metadata/Manifest.gz
  68. 2
      metadata/dtd/timestamp.chk
  69. 2
      metadata/glsa/timestamp.chk
  70. BIN
      metadata/md5-cache/Manifest.gz
  71. BIN
      metadata/md5-cache/app-arch/Manifest.gz
  72. 4
      metadata/md5-cache/app-arch/pbzip2-1.1.13
  73. BIN
      metadata/md5-cache/app-emulation/Manifest.gz
  74. 15
      metadata/md5-cache/app-emulation/crossover-bin-21.0.0
  75. BIN
      metadata/md5-cache/app-text/Manifest.gz
  76. 4
      metadata/md5-cache/app-text/pastebinit-1.5.1
  77. BIN
      metadata/md5-cache/dev-db/Manifest.gz
  78. 14
      metadata/md5-cache/dev-db/myodbc-8.0.26
  79. 17
      metadata/md5-cache/dev-db/mysql-5.7.35
  80. 17
      metadata/md5-cache/dev-db/mysql-8.0.26
  81. 14
      metadata/md5-cache/dev-db/mysql-connector-c++-8.0.26
  82. 14
      metadata/md5-cache/dev-db/mysql-connector-c-8.0.26
  83. 17
      metadata/md5-cache/dev-db/percona-server-8.0.25.15
  84. 4
      metadata/md5-cache/dev-perl/Config-AutoConf-0.319.0
  85. 4
      metadata/md5-cache/dev-perl/File-Slurper-0.12.0
  86. BIN
      metadata/md5-cache/dev-perl/Manifest.gz
  87. 4
      metadata/md5-cache/dev-perl/PerlIO-utf8_strict-0.8.0
  88. BIN
      metadata/md5-cache/dev-python/Manifest.gz
  89. 10
      metadata/md5-cache/dev-python/anyio-3.2.1
  90. 4
      metadata/md5-cache/dev-python/backports-entry_points_selectable-1.1.0
  91. 4
      metadata/md5-cache/dev-python/configobj-5.0.6-r1
  92. 10
      metadata/md5-cache/dev-python/httpcore-0.13.6
  93. 4
      metadata/md5-cache/dev-python/mkdocs-material-7.2.2
  94. 16
      metadata/md5-cache/dev-python/mysql-connector-python-8.0.26
  95. 4
      metadata/md5-cache/dev-python/platformdirs-2.0.2
  96. 12
      metadata/md5-cache/dev-python/python-dotenv-0.18.0-r1
  97. 4
      metadata/md5-cache/dev-python/python-efl-1.25.0
  98. 8
      metadata/md5-cache/dev-python/python-lsp-server-1.2.1
  99. 16
      metadata/md5-cache/dev-python/setuptools-57.4.0-r1
  100. 4
      metadata/md5-cache/dev-python/tomli-1.0.4

BIN
Manifest.files.gz

BIN
app-arch/Manifest.gz

2
app-arch/pbzip2/pbzip2-1.1.13.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://launchpad.net/pbzip2/${PV:0:3}/${PV}/+download/${P}.tar.gz"
LICENSE="BZIP2"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="static symlink"
LIB_DEPEND="app-arch/bzip2[static-libs(+)]"

BIN
app-emulation/Manifest.gz

1
app-emulation/crossover-bin/Manifest

@ -1 +1,2 @@
DIST install-crossover-20.0.4.bin 221436226 BLAKE2B 486494455759d92f8e7e5d35968a603e41a0674cb0752e7d5ba4893d33e77b3e31fea2ebe75d471e2478e7f3cce9be2f712840f1f50bfe790fec5ec936b804a5 SHA512 78252d29f8a72a8742d57a65a60d09a81a70a98517b67468dac96af94ee8af7a313f164af6717f9a9c657095e66466809e08584c7a0fde3bd58c27ff00f41067
DIST install-crossover-21.0.0.bin 312441596 BLAKE2B 4431f545e6a8c8bbc1ab5cf0f46d019242b48c61a2edfc7a762e38718d6543ce384ad55b40f3470f11893adcb6801323db5dba846cc0b544d6dab5e5bfb24e2b SHA512 c5567eef346d93af22f996be2a5a0237bc299c54cba3aa9a1345854b0cf601ffd26975536d18175735c170411b572a59d5dadb39674bfe158ca9944595e4deed

224
app-emulation/crossover-bin/crossover-bin-21.0.0.ebuild

@ -0,0 +1,224 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
inherit python-single-r1 unpacker
DESCRIPTION="Commercial version of app-emulation/wine with paid support"
HOMEPAGE="https://www.codeweavers.com/products/"
SRC_URI="https://media.codeweavers.com/pub/crossover/cxlinux/demo/install-crossover-${PV}.bin"
LICENSE="CROSSOVER-3"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="+capi +cups doc +gphoto2 +gsm +gstreamer +jpeg +lcms ldap +mp3 +nls osmesa +openal +opencl +opengl +pcap +png +scanner +ssl +v4l +vulkan"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="bindist test"
QA_FLAGS_IGNORED="opt/cxoffice/.*"
QA_PRESTRIPPED="
opt/cxoffice/lib/.*
opt/cxoffice/lib64/.*
opt/cxoffice/bin/cabextract
opt/cxoffice/bin/cxburner
opt/cxoffice/bin/cxntlm_auth
opt/cxoffice/bin/wineserver
opt/cxoffice/bin/wineserver32
opt/cxoffice/bin/wineserver64
opt/cxoffice/bin/wine64-preloader
opt/cxoffice/bin/unrar
opt/cxoffice/bin/wine-preloader
opt/cxoffice/bin/cxdiag
opt/cxoffice/bin/cxdiag64
opt/cxoffice/bin/cxgettext
opt/cxoffice/bin/vkd3d-compiler
opt/cxoffice/bin/wineloader
opt/cxoffice/bin/wineloader64
"
QA_TEXTRELS="
opt/cxoffice/bin/wineserver32
opt/cxoffice/lib/wine/*
opt/cxoffice/lib/libwine.so*
"
S="${WORKDIR}"
DEPEND=""
BDEPEND="${PYTHON_DEPS}
app-arch/cpio
app-arch/unzip
dev-lang/perl
dev-util/bbe
"
RDEPEND="${DEPEND}
${PYTHON_DEPS}
$(python_gen_cond_dep '
dev-python/dbus-python[${PYTHON_USEDEP}]
dev-python/pygobject:3[${PYTHON_USEDEP}]
')
!prefix? ( sys-libs/glibc )
!app-emulation/crossover-office-pro-bin
!app-emulation/crossover-office-bin
capi? ( net-libs/libcapi[abi_x86_32(-)] )
cups? ( net-print/cups[abi_x86_32(-)] )
gsm? ( media-sound/gsm[abi_x86_32(-)] )
jpeg? ( virtual/jpeg:0[abi_x86_32(-)] )
lcms? ( media-libs/lcms:2 )
ldap? ( net-nds/openldap[abi_x86_32(-)] )
gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
gstreamer? (
media-libs/gstreamer:1.0[abi_x86_32(-)]
jpeg? ( media-plugins/gst-plugins-jpeg:1.0[abi_x86_32(-)] )
media-plugins/gst-plugins-meta:1.0[abi_x86_32(-)]
)
mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
nls? ( sys-devel/gettext[abi_x86_32(-)] )
openal? ( media-libs/openal[abi_x86_32(-)] )
opencl? ( virtual/opencl[abi_x86_32(-)] )
opengl? (
virtual/glu[abi_x86_32(-)]
virtual/opengl[abi_x86_32(-)]
)
pcap? ( net-libs/libpcap[abi_x86_32(-)] )
png? ( media-libs/libpng:0[abi_x86_32(-)] )
scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
ssl? ( net-libs/gnutls:0/30[abi_x86_32(-)] )
v4l? ( media-libs/libv4l[abi_x86_32(-)] )
vulkan? ( media-libs/vulkan-loader[abi_x86_32(-)] )
dev-libs/glib:2
dev-libs/gobject-introspection
dev-libs/openssl
dev-util/desktop-file-utils
media-libs/alsa-lib[abi_x86_32(-)]
media-libs/freetype:2[abi_x86_32(-)]
media-libs/mesa[abi_x86_32(-),osmesa?]
media-libs/tiff:0[abi_x86_32(-)]
sys-auth/nss-mdns[abi_x86_32(-)]
sys-apps/util-linux[abi_x86_32(-)]
sys-libs/libunwind[abi_x86_32(-)]
sys-libs/ncurses-compat:5[abi_x86_32(-)]
sys-libs/zlib[abi_x86_32(-)]
x11-libs/libICE[abi_x86_32(-)]
x11-libs/libSM[abi_x86_32(-)]
x11-libs/libX11[abi_x86_32(-)]
x11-libs/libXau[abi_x86_32(-)]
x11-libs/libXcursor[abi_x86_32(-)]
x11-libs/libXdmcp[abi_x86_32(-)]
x11-libs/libXext[abi_x86_32(-)]
x11-libs/libXi[abi_x86_32(-)]
x11-libs/libXrandr[abi_x86_32(-)]
x11-libs/libXxf86vm[abi_x86_32(-)]
x11-libs/libxcb[abi_x86_32(-)]
x11-libs/gdk-pixbuf:2[introspection]
x11-libs/gtk+:3[introspection]
x11-libs/pango[introspection]
x11-libs/vte:2.91[introspection]
|| (
sys-libs/glibc[crypt(+)]
sys-libs/libxcrypt[compat]
)
"
pkg_nofetch() {
einfo "Please visit ${HOMEPAGE}"
einfo "and place ${A} into your DISTDIR directory"
}
src_unpack() {
# self unpacking zip archive; unzip warns about the exe stuff
unpack_zip ${A}
}
src_prepare() {
default
sed -i \
-e "s:xdg_install_icons(:&\"${ED}\".:" \
-e "s:\"\(.*\)/applications:\"${ED}\1/applications:" \
-e "s:\"\(.*\)/desktop-directories:\"${ED}\1/desktop-directories:" \
"${S}/lib/perl/CXMenuXDG.pm"
# Remove unnecessary files, license.txt file kept as it's used by
# multiple files (apart of the menu to show the license)
rm -r guis/ || die "Could not remove files"
use doc || rm -r doc/ || die "Could not remove files"
}
src_install() {
# Install crossover symlink, bug #476314
dosym ../cxoffice/bin/crossover /opt/bin/crossover
# Install documentation
dodoc README changelog.txt
rm README changelog.txt || die "Could not remove README and changelog.txt"
# Install files
dodir /opt/cxoffice
#cp -r ./* "${ED}/opt/cxoffice" \
find . | cpio -dumpl "${ED}/opt/cxoffice" 2>/dev/null \
|| die "Could not install into ${ED}/opt/cxoffice"
# Disable auto-update
sed -i -e 's/;;\"AutoUpdate\" = \"1\"/\"AutoUpdate\" = \"0\"/g' share/crossover/data/cxoffice.conf || die
# Install configuration file
insinto /opt/cxoffice/etc
doins share/crossover/data/cxoffice.conf
dodir /etc/env.d
echo "CONFIG_PROTECT=/opt/cxoffice/etc/cxoffice.conf" >> "${ED}"/etc/env.d/30crossover-bin || die
# Konqueror in its infinite wisdom decides to try opening things for
# writing, which are sandbox violations. This breaks the install process if
# it is installed, so we ninja edit it to false so it so doesn't run.
sed -i -e 's/cxwhich konqueror/false &/' "${ED}/opt/cxoffice/bin/locate_gui.sh" \
|| die "Could not apply workaround for konqueror"
# Install menus
# XXX: locate_gui.sh automatically detects *-application-merged directories
# This means what we install will vary depending on the contents of
# /etc/xdg, which is a QA violation. It is not clear how to resolve this.
XDG_DATA_HOME="/usr/share" XDG_CONFIG_HOME="/etc/xdg" \
"${ED}/opt/cxoffice/bin/cxmenu" --destdir="${ED}" --crossover --install \
|| die "Could not install menus"
# Revert ninja edit
sed -i -e 's/false \(cxwhich konqueror\)/\1/' "${ED}/opt/cxoffice/bin/locate_gui.sh" \
|| die "Could not apply workaround for konqueror"
rm "${ED}/usr/share/applications/"*"Uninstall"* \
|| die "Could not remove uninstall menus"
sed -i \
-e "s:\"${ED}\".::" \
-e "s:${ED}::" \
"${ED}/opt/cxoffice/lib/perl/CXMenuXDG.pm" \
|| die "Could not fix paths in ${ED}/opt/cxoffice/lib/perl/CXMenuXDG.pm"
sed -i -e "s:${ED}:/:" \
"${ED}/usr/share/applications/"*"CrossOver.desktop" \
|| die "Could not fix paths of *.desktop files"
# Workaround missing libs
# https://www.codeweavers.com/support/forums/general/?t=26;mhl=198658;msg=198658
if use gphoto2; then
bbe -e 's/libgphoto2_port.so.10/libgphoto2_port.so.12/' "${ED}/opt/cxoffice/lib/wine/gphoto2.ds.so" >tmp || die
mv tmp "${ED}/opt/cxoffice/lib/wine/gphoto2.ds.so" || die
bbe -e 's/libgphoto2_port.so.10/libgphoto2_port.so.12/' "${ED}/opt/cxoffice/bin/cxdiag" >tmp || die
mv tmp "${ED}/opt/cxoffice/bin/cxdiag" || die
fperms a+x "/opt/cxoffice/bin/cxdiag"
fi
# It tries to load libpcap as packaged in Debian, https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=657900
# https://bugs.gentoo.org/721108
if use pcap; then
bbe -e 's/libpcap.so.0.8/libpcap.so.1.9.1/' "${ED}/opt/cxoffice/lib/wine/wpcap.dll.so" >tmp || die
bbe -e 's/libpcap.so.0.8/libpcap.so.1.9.1/' "${ED}/opt/cxoffice/lib64/wine/wpcap.dll.so" >tmp64 || die
mv tmp "${ED}/opt/cxoffice/lib/wine/wpcap.dll.so" || die
mv tmp64 "${ED}/opt/cxoffice/lib64/wine/wpcap.dll.so" || die
fi
# Remove libs that link to openldap
if ! use ldap; then
rm "${ED}"/opt/cxoffice/lib*/wine/wldap32.dll.so || die
fi
}

5
app-emulation/crossover-bin/metadata.xml

@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>pacho@gentoo.org</email>
<name>Pacho Ramos</name>
</maintainer>
<use>
<flag name="capi">Enable ISDN support via CAPI</flag>
<flag name="osmesa">Add support for OpenGL in bitmaps using libOSMesa</flag>

BIN
app-text/Manifest.gz

2
app-text/pastebinit/pastebinit-1.5.1.ebuild

@ -14,7 +14,7 @@ SRC_URI="mirror://ubuntu/pool/main/p/${PN}/${MY_P}.orig.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="amd64 ~riscv x86"
IUSE="crypt"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

BIN
dev-db/Manifest.gz

1
dev-db/myodbc/Manifest

@ -1,3 +1,4 @@
DIST mysql-connector-odbc-8.0.22-src.tar.gz 3726015 BLAKE2B 055920446767b0c9a30a0ca4773e71d662b398a9849df1a0b7975d71a21cfb23f540d8dda5430c717569f173e63673d3e51b025bb098e51202093d33e19bc142 SHA512 c613ae60346cea2e57bade89d813fd5ac21d0712d3d751e3acbc275421da6ac7593afc3da9fb6d161ee413f60e76e670f0c84876591f331925c980d969db4e8c
DIST mysql-connector-odbc-8.0.23-src.tar.gz 3726277 BLAKE2B 21b5e6f3f7e77d6107268800441675a230c79071e52db39093fade6e02031c12c96371d165af9459e9739e069e5b4196f0169dff54c0fa300e7a3023e8a82722 SHA512 2f66b5e1796176d638b1209b7d3381c2600a11cc88fa0dfb1f29b16a6c59386926674d5581d4843036d061af09312d58620484730bd7cdad36c0a0dcd45d49a9
DIST mysql-connector-odbc-8.0.25-src.tar.gz 3736461 BLAKE2B 888219340ed2ea86194b2aeab04719c58f2bdfaedb4364492eab2d8cce4b7617a259ae075fada3f55f2bd475d310b5a98642a791ac1efff22a8ceda31bbdf89c SHA512 b2df4134d89600708f30866ded6d915246d36eea087a5c86c0030ba55a1a96c7ee37f023183a28e2f731851969ee802846012e4435fb86a38f7a0f09571d32ac
DIST mysql-connector-odbc-8.0.26-src.tar.gz 3760542 BLAKE2B e0da539743335bc70a7b809759121d5186782df27c301dc9bb34a73d5584540906df72f0e2b2bfa8af47587693063286cd3eadd3b69f77398264463e69a20e35 SHA512 caed3db20fb42df5123356a973e4f8cc1b162be0ada1de881981237e9a7b39d95f3f0aa48fceeff23139c3d05fc24115bf900206db7a497f4ed734a2234eb528

131
dev-db/myodbc/myodbc-8.0.26.ebuild

@ -0,0 +1,131 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_ECLASS=cmake
inherit cmake-multilib
MAJOR="$(ver_cut 1-2)"
MY_PN="mysql-connector-odbc"
MY_P="${MY_PN}-${PV/_p/r}-src"
DESCRIPTION="ODBC driver for MySQL"
HOMEPAGE="https://dev.mysql.com/downloads/connector/odbc/"
SRC_URI="https://dev.mysql.com/get/Downloads/Connector-ODBC/${MAJOR}/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="${MAJOR}"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
RDEPEND="
dev-db/unixODBC[${MULTILIB_USEDEP}]
>=dev-db/mysql-connector-c-8.0:0=[${MULTILIB_USEDEP}]
"
DEPEND="${RDEPEND}"
S=${WORKDIR}/${MY_P}
# Careful!
DRIVER_NAME="${PN}-${SLOT}"
# Patch document path so it doesn't install files to /usr
PATCHES=(
"${FILESDIR}/${MAJOR}-cmake-doc-path.patch"
"${FILESDIR}/${PN}-8.0.19-cxxlinkage.patch"
)
src_prepare() {
# Remove Tests
sed -i -e "s/ADD_SUBDIRECTORY(test)//" \
"${S}/CMakeLists.txt"
cmake_src_prepare
}
multilib_src_configure() {
CMAKE_BUILD_TYPE="RelWithDebInfo"
mycmakeargs+=(
-DCMAKE_C_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DCMAKE_CXX_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DMYSQLCLIENT_STATIC_LINKING=OFF
-DMYSQL_CXX_LINKAGE=YES
-DWITH_UNIXODBC=YES
-DWITH_DOCUMENTATION_INSTALL_PATH=${EPREFIX}/usr/share/doc/${PF}
-DLIB_SUBDIR="$(get_libdir)/${PN}-${MAJOR}"
-DMYSQLCLIENT_NO_THREADS=ON
-DDISABLE_GUI=ON
# Don't build "libmysql_strings.so" and "libmysql_sys.so" which are only
# used internally
-DBUILD_SHARED_LIBS=OFF
# The NUMA and LIBWRAP options are not really used.
# They are just copied from the server code
-DWITH_NUMA=OFF
-DWITH_LIBWRAP=OFF
)
cmake_src_configure
}
multilib_src_install_all() {
debug-print-function ${FUNCNAME} "$@"
dodir /usr/share/${PN}-${SLOT}
for i in odbc.ini odbcinst.ini; do
einfo "Building $i"
sed \
-e "s,__PN__,${DRIVER_NAME},g" \
-e "s,__PF__,${MAJOR},g" \
-e "s,lib/libmyodbc3.so,$(get_libdir)/${PN}-${MAJOR}/libmyodbc${SLOT:0:1}a.so,g" \
>"${D}"/usr/share/${PN}-${SLOT}/${i} \
<"${FILESDIR}"/${i}.m4 \
|| die "Failed to build $i"
done
rm -rf "${ED}/usr/$(get_libdir)/${PN}-${MAJOR}/private" \
|| die "failed to remove bundled libs"
mv "${D}/usr/bin/myodbc-installer" \
"${D}/usr/bin/myodbc-installer-${MAJOR}" || die "failed to move slotted binary"
}
pkg_config() {
[ "${ROOT}" != "/" ] && \
die 'Sorry, non-standard ROOT setting is not supported :-('
local msg='MySQL ODBC driver'
local drivers=$(/usr/bin/odbcinst -q -d)
if echo $drivers | grep -vq "^\[${DRIVER_NAME}\]$" ; then
ebegin "Installing ${msg}"
/usr/bin/odbcinst -i -d -f /usr/share/${PN}-${SLOT}/odbcinst.ini
rc=$?
eend $rc
[ $rc -ne 0 ] && die
else
einfo "Skipping already installed ${msg}"
fi
local sources=$(/usr/bin/odbcinst -q -s)
msg='sample MySQL ODBC DSN'
if echo $sources | grep -vq "^\[${DRIVER_NAME}-test\]$"; then
ebegin "Installing ${msg}"
/usr/bin/odbcinst -i -s -l -f /usr/share/${PN}-${SLOT}/odbc.ini
rc=$?
eend $rc
[ $rc -ne 0 ] && die
else
einfo "Skipping already installed ${msg}"
fi
}
pkg_postinst() {
elog "If this is a new install, please run the following command"
elog "to configure the MySQL ODBC drivers and sources:"
elog "emerge --config =${CATEGORY}/${PF}"
elog "Please note that the driver name used to form the DSN now includes the SLOT."
elog "The myodbc-install utility is installed as myodbc-install-${MAJOR}"
}

1
dev-db/mysql-connector-c++/Manifest

@ -6,3 +6,4 @@ DIST mysql-connector-c++-8.0.22-src.tar.gz 3795112 BLAKE2B c5d6f0ebeb4649857f321
DIST mysql-connector-c++-8.0.23-src.tar.gz 3798295 BLAKE2B 923eebbd7f9cde0252c84de4c70863b40c0dd93ad98a93e2ec14c935b2f3f0b0f251828a8bbbd0f23a5ec03491db06020294e19455901d15181c84fec9fb3d7f SHA512 f8eb8842e199d7373f4b55644720ac63b93eb33be19294c433f57aaf556ce1b5752223154194469fa28af52adebe930f0a7b4e8f62df92cc810b545aa7bab928
DIST mysql-connector-c++-8.0.24-src.tar.gz 3797356 BLAKE2B e509e04f6c93893948c573401188567bcbda91db0e608d53b1795593abf043117e1a525d3abe5c8396068a2ef750582cde15b64412e556e89762d08032abb602 SHA512 5507bc562e8263ee17efb9d4e2f52e471da75e73a1fc4dd1bc0a2ac1c2a593be889c4b042037cf6d3cbff854ae5cc865a8800251da475aed0f31710229af26f1
DIST mysql-connector-c++-8.0.25-src.tar.gz 3800065 BLAKE2B 67546b2d7d9de25ccb440c22bd58ee83e6fae78710e6dfa802cb0446bf5be433c56458424f0ee81c9a899bbfd5f464712d2d0b43dceb4205b492c7b1a79f7858 SHA512 44dd7f4296d666801be55642e53cb5181d9b5c3b080306975a48eb6280e555d9b924b42b14b44dffee4c54fab3f662a7b6bb6584d9a1ed710f0026788611c525
DIST mysql-connector-c++-8.0.26-src.tar.gz 3980027 BLAKE2B 86ce0d94db588ed86ce7b21851f866da26268f7c9059b57697cbe1f5c5d031a3eada2f55042feb7b2888b538277c773215c0d19e8a1968ff70ce363e8f95bd77 SHA512 e3a08551a4245bf886cb7e3775a256fa379bb781b523a84d30e0d0c16cae73c808a3413b08b09998eba9c0ea3ede19e505b6392ed71712a8e9a2df31f07e4c79

321
dev-db/mysql-connector-c++/files/mysql-connector-c++-8.0.26-fix-build.patch

@ -0,0 +1,321 @@
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -467,7 +467,7 @@ set_target_properties(connector PROPERTIES
install(TARGETS connector
- CONFIGURATIONS Release RelWithDebInfo
+ CONFIGURATIONS Release RelWithDebInfo Gentoo
ARCHIVE DESTINATION "${INSTALL_LIB_DIR_STATIC}" COMPONENT XDevAPIDev
RUNTIME DESTINATION "${INSTALL_LIB_DIR}" COMPONENT XDevAPIDll
LIBRARY DESTINATION "${INSTALL_LIB_DIR}" COMPONENT XDevAPIDll
--- a/cdk/cmake/DepFindProtobuf.cmake
+++ b/cdk/cmake/DepFindProtobuf.cmake
@@ -48,244 +48,7 @@ if(TARGET Protobuf::pb)
return()
endif()
-message(STATUS "Setting up Protobuf.")
-
-set(PB_SOURCE_DIR "${PROJECT_SOURCE_DIR}/protobuf")
-set(PB_BINARY_DIR "${PROJECT_BINARY_DIR}/protobuf")
-set(config_stamp "${PB_BINARY_DIR}/config.stamp")
-set(build_stamp "${PB_BINARY_DIR}/build.stamp")
-
-
-#
-# Pick build configuration for the protobuf build. Normally we build using the
-# same build configuration that is used for building CDK (Release/Debug/etc.).
-# But we also support building CDK under non-standard build configuration
-# named 'Static' (this is a dirty trick we use to simplify building our MSIs).
-# Since protobuf does not know 'Static' build configuration, we build protobuf
-# under 'Release' configuration in that case.
-#
-# We need to handle two cases. For some build systems, like Makefiles,
-# the build configuration is specified at cmake time using CMAKE_BUILD_TYPE
-# variable. In that case we also set it during protobuf build configuration.
-# Another case is a multi-configuration build system like MSVC. In this case
-# we use generator expression to pick correct configuration when the build
-# command is invoked below.
-#
-
-set(build_type)
-if(CMAKE_BUILD_TYPE)
- if(CMAKE_BUILD_TYPE MATCHES "[Ss][Tt][Aa][Tt][Ii][Cc]")
- set(set_build_type -DCMAKE_BUILD_TYPE=Release)
- else()
- set(set_build_type -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
- endif()
-endif()
-
-set(CONFIG_EXPR
- $<$<CONFIG:Static>:Release>$<$<NOT:$<CONFIG:Static>>:$<CONFIG>>
-)
-
-set(set_arch)
-if(CMAKE_GENERATOR_PLATFORM)
- set(set_arch -A ${CMAKE_GENERATOR_PLATFORM})
-endif()
-
-set(set_toolset)
-if(CMAKE_GENERATOR_TOOLSET)
- set(set_toolset -T ${CMAKE_GENERATOR_TOOLSET})
-endif()
-
-set(set_system_name)
-if(CMAKE_SYSTEM_NAME)
- set(set_system_name -DCMAKE_SYSTEM_NAME=${CMAKE_SYSTEM_NAME})
- if(CMAKE_SYSTEM_VERSION)
- list(APPEND set_system_name -DCMAKE_SYSTEM_VERSION=${CMAKE_SYSTEM_VERSION})
- endif()
-endif()
-
-set(set_system_processor)
-if(CMAKE_SYSTEM_PROCESSOR)
- set(set_system_processor -DCMAKE_SYSTEM_PROCESSOR=${CMAKE_SYSTEM_PROCESSOR})
-endif()
-
-if(NOT EXISTS "${PB_BINARY_DIR}/exports.cmake")
-
- message("==== Configuring Protobuf build using cmake generator: ${CMAKE_GENERATOR} ${set_arch} ${set_toolset} ${set_system_name}")
-
- file(REMOVE "${PB_BINARY_DIR}/CMakeCache.txt")
- file(MAKE_DIRECTORY "${PB_BINARY_DIR}")
-
- # Dirty trick to speed up cmake set up time.
- #file(
- # COPY "${CMAKE_BINARY_DIR}/CMakeFiles/${CMAKE_VERSION}"
- # DESTINATION "${PB_BINARY_DIR}/CMakeFiles"
- #)
-
- execute_process(
- COMMAND ${CMAKE_COMMAND}
- -G "${CMAKE_GENERATOR}"
- ${set_arch}
- ${set_toolset}
- ${set_build_type}
- ${set_system_name}
- ${set_system_processor}
- -DSTATIC_MSVCRT=${STATIC_MSVCRT}
- -DCMAKE_POSITION_INDEPENDENT_CODE=${CMAKE_POSITION_INDEPENDENT_CODE}
- -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
- -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
- -DCMAKE_CXX_FLAGS_DEBUG=${CMAKE_CXX_FLAGS_DEBUG}
- -DCMAKE_CXX_FLAGS_RELEASE=${CMAKE_CXX_FLAGS_RELEASE}
- -DCMAKE_CXX_FLAGS_RELWITHDEBINFO=${CMAKE_CXX_FLAGS_RELWITHDEBINFO}
- -DCMAKE_CXX_FLAGS_MINSIZEREL=${CMAKE_CXX_FLAGS_MINSIZEREL}
- -DCMAKE_STATIC_LINKER_FLAGS=${CMAKE_STATIC_LINKER_FLAGS}
- ${PB_SOURCE_DIR}
- WORKING_DIRECTORY ${PB_BINARY_DIR}
- RESULT_VARIABLE protobuf_config
- )
-
- if(protobuf_config)
- message(FATAL_ERROR "Could not configure Protobuf build: ${protobuf_config}")
- endif()
-
- message("==== Protobuf build configured.")
-
-endif()
-
-
-include(${PB_BINARY_DIR}/exports.cmake)
-
-#
-# Protobuf library targets imported above (pb_protobuf
-# and pb_protobuf-lite) are local to the directory from which
-# they were imported. This is not good if cdk is used as
-# a sub-project of a parent project, because the parent project
-# must have access to these targets.
-#
-# For that reason below we create global protobuf/protobuf-lite targets
-# and copy their locations from the imported targets.
-#
-# Note: we can't use ALIAS library because it does not work with imported
-# targets
-#
-
-add_library(Protobuf::pb-full STATIC IMPORTED GLOBAL)
-add_library(Protobuf::pb-lite STATIC IMPORTED GLOBAL)
-add_executable(Protobuf::protoc IMPORTED GLOBAL)
-
-set(TGT_libprotobuf Protobuf::pb-full)
-set(TGT_libprotobuf-lite Protobuf::pb-lite)
-set(TGT_protoc Protobuf::protoc)
-
-foreach(tgt libprotobuf libprotobuf-lite protoc)
-
- #message("processing: ${tgt}")
-
- set(loc_list)
-
- foreach(CONF NOCONFIG DEBUG RELEASE MINSIZEREL RELWITHDEBINFO)
-
- #message("- CONF: ${CONF}")
-
- get_target_property(LOC pb_${tgt} IMPORTED_LOCATION_${CONF})
-
- if(LOC)
-
- #message("- setting imported location to: ${LOC}")
- list(APPEND loc_list "${LOC}")
-
- set_target_properties(${TGT_${tgt}} PROPERTIES
- IMPORTED_LOCATION_${CONF} "${LOC}"
- )
-
- set_property(TARGET ${TGT_${tgt}} APPEND PROPERTY
- IMPORTED_CONFIGURATIONS ${CONF}
- )
-
- endif()
-
- endforeach(CONF)
-
- #
- # To support 'Static' build configuration the targets imported from the
- # Protobuf project need to have IMPORTED_LOCATION_STATIC defined. We use
- # 'Release' locations as Protobuf is built using 'Release' configuration in
- # that case.
- #
-
- get_target_property(LOC ${TGT_${tgt}} IMPORTED_LOCATION_RELEASE)
- set_property(TARGET ${TGT_${tgt}} PROPERTY IMPORTED_LOCATION_STATIC ${LOC})
-
-endforeach(tgt)
-
-
-#message("Protobuf include path: ${PROTOBUF_INCLUDE_DIR}")
-set(PROTOBUF_INCLUDE_DIR ${PROTOBUF_INCLUDE_DIR} CACHE INTERNAL "")
-
-set_target_properties(Protobuf::pb-lite PROPERTIES
- INTERFACE_INCLUDE_DIRECTORIES "${PROTOBUF_INCLUDE_DIR}"
-)
-
-set_target_properties(Protobuf::pb-full PROPERTIES
- INTERFACE_LINK_LIBRARIES Protobuf::pb-lite
-)
-
-# On UNIX Protobuf uses pthread library
-if(UNIX)
- set_property(TARGET Protobuf::pb-lite APPEND PROPERTY
- INTERFACE_LINK_LIBRARIES pthread
- )
-endif()
-
-#
-# Note: This is needed to correctly compile headers generated by protobuf
-# with sunpro compiler.
-#
-
-if(SUNPRO)
- set_property(TARGET Protobuf::pb-lite APPEND PROPERTY
- INTERFACE_COMPILE_DEFINITIONS SOLARIS_64BIT_ENABLED
- )
-endif()
-
-#
-# Try using parallel builds for protobuf.
-#
-
-include(ProcessorCount)
-ProcessorCount(N)
-
-MESSAGE("Processor Count: ${N}")
-
-set(opt_build)
-set(opt_tool)
-if(NOT N EQUAL 0)
- if(NOT CMAKE_VERSION VERSION_LESS 3.12)
- set(opt_build --parallel ${N})
- elseif(CMAKE_MAKE_PROGRAM MATCHES "make")
- set(opt_tool -j${N})
- endif()
-endif()
-
-add_custom_command(OUTPUT "${build_stamp}"
- COMMAND ${CMAKE_COMMAND} --build . ${opt_build} --config ${CONFIG_EXPR} -- ${opt_tool}
- COMMAND ${CMAKE_COMMAND} -E touch "${build_stamp}"
- WORKING_DIRECTORY "${PB_BINARY_DIR}"
- COMMENT "Building protobuf"
-)
-
-add_custom_target(build_protobuf
- SOURCES "${build_stamp}"
-)
-
-set_target_properties(build_protobuf PROPERTIES FOLDER "Misc")
-
-add_dependencies(Protobuf::pb-full build_protobuf)
-add_dependencies(Protobuf::pb-lite build_protobuf)
-add_dependencies(Protobuf::protoc build_protobuf)
-
-# TODO: Handle lite/full version
-
-
+find_package(Protobuf REQUIRED)
# Standard PROTOBUF_GENERATE_CPP modified to our usage
@@ -314,10 +77,11 @@ function(mysqlx_protobuf_generate_cpp SRCS HDRS)
"${CMAKE_CURRENT_BINARY_DIR}/protobuf/${FIL_WE}.pb.h"
COMMAND ${CMAKE_COMMAND}
-E make_directory "${CMAKE_CURRENT_BINARY_DIR}/protobuf"
- COMMAND Protobuf::protoc
+ COMMAND ${Protobuf_PROTOC_EXECUTABLE}
ARGS --cpp_out "${CMAKE_CURRENT_BINARY_DIR}/protobuf"
-I ${ABS_PATH} ${ABS_FIL}
- DEPENDS ${ABS_FIL} #${PROTOBUF_PROTOC_EXECUTABLE}
+ --proto_path=${Protobuf_INCLUDE_DIR}
+ DEPENDS ${ABS_FIL} #${Protobuf_PROTOC_EXECUTABLE}
COMMENT "Running C++ protocol buffer compiler on ${FIL}"
VERBATIM
)
--- a/cdk/core/CMakeLists.txt
+++ b/cdk/core/CMakeLists.txt
@@ -45,7 +45,7 @@ add_library(cdk STATIC ${cdk_sources} ${HEADERS})
target_link_libraries(cdk
PUBLIC cdk_mysqlx cdk_parser
- PRIVATE Protobuf::pb-lite # required by codecc.cc
+ PRIVATE protobuf # required by codecc.cc
)
add_coverage(cdk)
--- a/cdk/protocol/mysqlx/CMakeLists.txt
+++ b/cdk/protocol/mysqlx/CMakeLists.txt
@@ -127,11 +127,7 @@ target_include_directories(cdk_proto_mysqlx PRIVATE
${CMAKE_CURRENT_BINARY_DIR}
)
-if(use_full_protobuf)
- target_link_libraries(cdk_proto_mysqlx PRIVATE Protobuf::pb-full)
-else()
- target_link_libraries(cdk_proto_mysqlx PRIVATE Protobuf::pb-lite)
-endif()
+target_link_libraries(cdk_proto_mysqlx PRIVATE protobuf)
target_link_libraries(cdk_proto_mysqlx PRIVATE cdk_foundation zlib lz4 zstd)
--- a/jdbc.cmake
+++ b/jdbc.cmake
@@ -66,7 +66,7 @@ if(MYSQL_CONFIG_EXECUTABLE)
list(APPEND jdbc_cmake_opts -DMYSQL_CONFIG_EXECUTABLE=${MYSQL_CONFIG_EXECUTABLE})
endif()
-list(APPEND jdbc_cmake_opts -DMYSQLCLIENT_STATIC_LINKING=ON)
+list(APPEND jdbc_cmake_opts -DMYSQLCLIENT_STATIC_LINKING=OFF)
if(CMAKE_BUILD_TYPE)
if(CMAKE_BUILD_TYPE MATCHES "[Ss][Tt][Aa][Tt][Ii][Cc]")
--- a/jdbc/CMakeLists.txt
+++ b/jdbc/CMakeLists.txt
@@ -299,7 +299,7 @@ endif()
install(TARGETS connector-jdbc
- CONFIGURATIONS Release RelWithDebInfo
+ CONFIGURATIONS Release RelWithDebInfo Gentoo
ARCHIVE DESTINATION "${INSTALL_LIB_DIR_STATIC}" COMPONENT JDBCDev
RUNTIME DESTINATION "${INSTALL_LIB_DIR}" COMPONENT JDBCDll
LIBRARY DESTINATION "${INSTALL_LIB_DIR}" COMPONENT JDBCDll

43
dev-db/mysql-connector-c++/mysql-connector-c++-8.0.26.ebuild

@ -0,0 +1,43 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
CMAKE_MAKEFILE_GENERATOR=emake
inherit cmake
DESCRIPTION="MySQL database connector for C++ (mimics JDBC 4.0 API)"
HOMEPAGE="https://dev.mysql.com/downloads/connector/cpp/"
URI_DIR="Connector-C++"
SRC_URI="https://dev.mysql.com/get/Downloads/${URI_DIR}/${P}-src.tar.gz"
LICENSE="Artistic GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="+legacy"
RDEPEND="
dev-libs/protobuf:=
legacy? (
dev-libs/boost:=
>=dev-db/mysql-connector-c-6.1.8:=
)
dev-libs/openssl:0=
"
DEPEND="${RDEPEND}"
S="${WORKDIR}/${P}-src"
PATCHES=(
"${FILESDIR}"/${PN}-8.0.26-fix-build.patch
)
src_configure() {
local mycmakeargs=(
-DWITH_SSL=system
-DWITH_JDBC=$(usex legacy ON OFF)
$(usex legacy '-DMYSQLCLIENT_STATIC_BINDING=0' '')
$(usex legacy '-DMYSQLCLIENT_STATIC_LINKING=0' '')
)
cmake_src_configure
}

1
dev-db/mysql-connector-c/Manifest

@ -1,3 +1,4 @@
DIST mysql-boost-8.0.22.tar.gz 285934450 BLAKE2B 1ba0c9bb9a0cb74af4842d3b746f8b690c122cfbf2c6d5201ce95e59a257427a8683dd8d5c2be31dfe9ece4761366c1287fa7b841c45db222725bf76b0639bc6 SHA512 792f2ada93ec67a4679228478c6b798e81d9e9f6d13c7f4977cb7682738a4aae3cb483294edc6b2fde16c3960e51af8786216c063ab500840afd39a609e4b612
DIST mysql-boost-8.0.23.tar.gz 291039175 BLAKE2B 3a7d3e05c774085d6078d0d3effd58d2df47521615356a2aa5efc2ea2ef8457e19ad57a054926ccff0a4752ca71d0464daa7fe9a3ac6c1b1d3bd86a9a82dfc58 SHA512 b8c2e2ac772b7b730f8b3bac7a5afb205da173b3639500606e7d1fac74832a0134027951855a2dc81af015e6158c924927ad63b9e1f2e7c823d45d4c4961c3f8
DIST mysql-boost-8.0.25.tar.gz 290265324 BLAKE2B 5393a2a2525a886d9ece19777deae01e6c0b24b9ff5a0a5ffb9075740ed912d0df59a165b6ec9ceb60c7c28f3062cda5cceb4da3a8280f42549984c846f1ce5c SHA512 af653ccff66a9d87221b46ad4f7bcc629700549f758998b9a7fb22e4573b9495a28624e031f016f9ad8fe0dfcf481b82f1ffe224aa48c2d45531570026b26081
DIST mysql-boost-8.0.26.tar.gz 291285918 BLAKE2B 6198ca8982a8c9df7e6ee4df5e2c1e0d64d2eb4d83cb7265317b58d55f6787c3240c8e40d196f2326ff3d66926ad7dab0705edd92e5a82881ce6ddb7f0c510b9 SHA512 63d47cb52407a816dc9f4330b99924624dfee46e57e7fdce19eff32909dd9e23251e2439d1807b002a1661b547173222c77465a3ca4dbb312414a84927809cfc

122
dev-db/mysql-connector-c/mysql-connector-c-8.0.26.ebuild

@ -0,0 +1,122 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
CMAKE_ECLASS=cmake
inherit cmake-multilib flag-o-matic
# wrap the config script
MULTILIB_CHOST_TOOLS=( /usr/bin/mysql_config )
DESCRIPTION="C client library for MariaDB/MySQL"
HOMEPAGE="https://dev.mysql.com/downloads/"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/mysql/mysql-server.git"
inherit git-r3
else
SRC_URI="https://dev.mysql.com/get/Downloads/MySQL-$(ver_cut 1-2)/mysql-boost-${PV}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
S="${WORKDIR}/mysql-${PV}"
fi
LICENSE="GPL-2"
SLOT="0/21"
IUSE="ldap static-libs"
RDEPEND="
>=app-arch/lz4-0_p131:=[${MULTILIB_USEDEP}]
app-arch/zstd:=[${MULTILIB_USEDEP}]
sys-libs/zlib:=[${MULTILIB_USEDEP}]
ldap? ( dev-libs/cyrus-sasl:=[${MULTILIB_USEDEP}] )
dev-libs/openssl:0=[${MULTILIB_USEDEP}]
"
DEPEND="${RDEPEND}"
# Avoid file collisions, #692580
RDEPEND+=" !<dev-db/mysql-5.6.45-r1"
RDEPEND+=" !=dev-db/mysql-5.7.23*"
RDEPEND+=" !=dev-db/mysql-5.7.24*"
RDEPEND+=" !=dev-db/mysql-5.7.25*"
RDEPEND+=" !=dev-db/mysql-5.7.26-r0"
RDEPEND+=" !=dev-db/mysql-5.7.27-r0"
RDEPEND+=" !<dev-db/percona-server-5.7.26.29-r1"
DOCS=( README )
PATCHES=(
"${FILESDIR}"/${PN}-8.0.22-always-build-decompress-utilities.patch
"${FILESDIR}"/${PN}-8.0.19-do-not-install-comp_err.patch
"${FILESDIR}"/${PN}-8.0.25-add-OpenSSL-3.0.0-support.patch
)
src_prepare() {
sed -i -e 's/CLIENT_LIBS/CONFIG_CLIENT_LIBS/' "scripts/CMakeLists.txt" || die
# All these are for the server only.
# Disable rpm call which would trigger sandbox, #692368
sed -i \
-e '/MYSQL_CHECK_LIBEVENT/d' \
-e '/MYSQL_CHECK_RAPIDJSON/d' \
-e '/MYSQL_CHECK_ICU/d' \
-e '/MYSQL_CHECK_EDITLINE/d' \
-e '/MYSQL_CHECK_CURL/d' \
-e '/ADD_SUBDIRECTORY(man)/d' \
-e '/ADD_SUBDIRECTORY(share)/d' \
-e '/INCLUDE(cmake\/boost/d' \
-e 's/MY_RPM rpm/MY_RPM rpmNOTEXISTENT/' \
CMakeLists.txt || die
# Skip building clients
echo > client/CMakeLists.txt || die
# Forcefully disable auth plugin
if ! use ldap ; then
sed -i -e '/MYSQL_CHECK_SASL/d' CMakeLists.txt || die
echo > libmysql/authentication_ldap/CMakeLists.txt || die
fi
cmake_src_prepare
}
multilib_src_configure() {
CMAKE_BUILD_TYPE="RelWithDebInfo"
# code is not C++17 ready, bug #786402
append-cxxflags -std=c++14
local mycmakeargs=(
-DCMAKE_C_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DCMAKE_CXX_FLAGS_RELWITHDEBINFO=-DNDEBUG
-DINSTALL_LAYOUT=RPM
-DINSTALL_LIBDIR=$(get_libdir)
-DWITH_DEFAULT_COMPILER_OPTIONS=OFF
-DENABLED_LOCAL_INFILE=ON
-DMYSQL_UNIX_ADDR="${EPREFIX}/run/mysqld/mysqld.sock"
-DWITH_LZ4=system
-DWITH_NUMA=OFF
-DWITH_SSL=system
-DWITH_ZLIB=system
-DWITH_ZSTD=system
-DLIBMYSQL_OS_OUTPUT_NAME=mysqlclient
-DSHARED_LIB_PATCH_VERSION="0"
-DCMAKE_POSITION_INDEPENDENT_CODE=ON
-DWITHOUT_SERVER=ON
)
cmake_src_configure
}
multilib_src_install_all() {
doman \
man/my_print_defaults.1 \
man/perror.1 \
man/zlib_decompress.1
if ! use static-libs ; then
find "${ED}" -name "*.a" -delete || die
fi
}

4
dev-db/mysql/Manifest

@ -4,12 +4,14 @@ DIST mysql-5.7.32-patches-01.tar.xz 6660 BLAKE2B 5c63158615398bdcc4480a0e1b058f4
DIST mysql-5.7.33-patches-01.tar.xz 6672 BLAKE2B cfa410f9ba5a4ba7e43923e7b5940c2dc6a9356b49230ebaea24bd7eef8a9639fc746e917c22241e19c830b81252e95f38e2c9d6054494de700bae46011fb2f4 SHA512 b16bb9531c44f1c5ec9c08aee6c1f5f5d2e3fe59a0039a54f6c050660a18f7c78b955e7eea7bef4e7dccfcdaa81464e0d8e47ac7d0e40ecb90187865a8a0412e
DIST mysql-5.7.34-patches-01.tar.xz 6676 BLAKE2B b925880bfbb991fcba81964ff658a2ecab38da637a6093270a724ab8e405ab092d5fb9684f53f44d001e34287366df234b841d9ebcae62d49becdb93a3c3e324 SHA512 80a89f4b4a7ecc04f3115c6aaa0b0013e38c2813fa6dea095e826ef3944298715a48e0deacb691d23526b1524b207c83176290faea2461d3fcd94edabe3d8943
DIST mysql-5.7.34-patches-02.tar.xz 6408 BLAKE2B fdb36247832b6282af94ce2f61b5dd77f6b45f9efca4b438ecd5fed8d810d9d51547d0ae3de085e7f5dcc8795b4bc4f1210902495b92859e1d5aec3048256ef3 SHA512 f0513eb7f0c9e415aa972a53af668939934ea4f4fa438f468f32a46ccc2aa3b84ba8edd999e4786256ada34851ad64c81e9dd0e36c2a21da641987dfd18635c3
DIST mysql-5.7.35-patches-01.tar.xz 6408 BLAKE2B ddead9d6f5570f23433ffaef0188a8e93c0220b3d59ae24b870927e9e5908619f357725c1ab2d16905f39dd9d5f6cd23d3aabf6a1df2abdc865683f603912b8f SHA512 6374536299c691fd12a3f8b7cd27291e6f3b0b6d159284b2866caaed6a7f124439c16e659e6da5aae9e72d613de2a1e1b80066c961e122e90ad644e9a32633cc
DIST mysql-8.0.20-patches-01.tar.xz 7176 BLAKE2B 2fc51986c0a4da60521d0e64b9f8705caf8ec3869af930c9729359c3710059fc78aae176523fdf17d10173b404431f31f9bb23ee5c82fba7cbbb4cb39881c005 SHA512 bf8211cf3873f8672b9d3d1dc42b68a1c635690ffdc2d3393eafa83f060ada9f2eaa63f859bf8eecc24976a733d8c7c3b9632ac70f28b5facf48eae921c7ceeb
DIST mysql-8.0.21-patches-01.tar.xz 7212 BLAKE2B 2f1b38b3f84a124e3636cb726f3fcef82d71d933e90429dc78be44afeb4f456a37104359c5fd58ab50f0c03c1698e6c79f9b1e07640f0411c0024f558b4e9595 SHA512 3edcbb529b0623adaed30150d88c9b54d1a3e402faf5c7cff4ed626bbf4e5f50838d8f3c79bd2173439d748ded13412ff7fe37e3742c55879ff28907b9eb5660
DIST mysql-8.0.22-patches-02.tar.xz 7580 BLAKE2B a50704c3c58b1f67ca86edb233544137927b0ae5fdf302687b48f6fd30fbbd26798e8ef8282662586b25a7240b47278b44f944a8ca59f1a198bc228dd74459c9 SHA512 59f864452e9fdebe4d3990eff8b756e9bbfad58da216b74fa8b7e8391cb0d9d543ca2828591b9ed1ee276c1dec9e1851a8c2683507f0a326c85054e31cc3f950
DIST mysql-8.0.23-patches-01.tar.xz 7568 BLAKE2B 222120dcb5556457f382eefbb10f66f46fe1673c64730c8c8a5566942031bc98bab1f1182f747e79e23fccfb6b09197d5c2874aa2087104b6f1eaa25ea9fd60c SHA512 54222c420d57c1b206d920f22738746925ed1e0d78683f01c97cac5bd1d3450f70f784a7f603304b8595fb58120e691f94e28fa1d1884a7cc8bea1d7b177470f
DIST mysql-8.0.25-patches-01.tar.xz 3604 BLAKE2B 09cccab204c30d16bdc374bcd01d4a8e6298955f86f479b8e287aab74fb6bd9857547e360be725dfc66acb56e1bb5665277d340761d0110a8823763ad4d2d1f4 SHA512 6d90a34a20e9cbc7e7a9b5b63a1408f33ac8523f2be6c9ab6d9ad7589c3ded83c87e460d782d4d8c33f11b337151fd8db994099e371260ecf204933e844eb50e
DIST mysql-8.0.25-patches-02.tar.xz 6456 BLAKE2B c9c1020a505ebcee836f8dc3bbe540ff924a0174daf36c37b852df267a81919d37581d1c9be037d52cdcd34c27c5c34d3f0af6160857b22d8ab4d8ece37798e0 SHA512 3c3726b397f3a6fb1d84396bb571b4903a167c9a47273b9d5996949e1d3febc96d3528bfa8dfaeea073a245051ae10c983f2ad258268babc91649563ce3cfc00
DIST mysql-8.0.26-patches-01.tar.xz 6980 BLAKE2B 5fc86125b622ac978dc7ec3d6954a1d366315a57b6f56ca8dade9ad4a255b4b793ad33736404b29ab2db12f726897f014aeec9232dc52954087e7533d0f593d2 SHA512 00e6478716cf857b8ab768ec481dc1e7d809db17a9d899a52822f61dcc18797e87c0eecfafb1bb9065895c1b261c03c87fe0593b59dc86fb40853b0c660c9bfb
DIST mysql-boost-5.7.27.tar.gz 51436383 BLAKE2B 6db64ab5fa659aae9baa3725a0de9465e48c37618ffd69f34809880c06a00ce55dce77f507810c6fa52d86901facfa42d3d1bd8db1914a779fbc88a69be82497 SHA512 573f4555f3d62bcd3dc2228bcfba023518d462bb6689114a3505ccf7c7c3061d2775a8e7a37ec3c8b9dea6e8fbc56ba599610f237abc38cedff58e75799bdc52
DIST mysql-boost-5.7.29.tar.gz 51417554 BLAKE2B 652ce9f99419387e9bcc37afeb1b46438784752e963c3aa1877f17650c31d8b058b4052da97c3a7e9454e758c259d6c311e0518f9a75909fce9741150b82164c SHA512 38acf7c2a10b20c59230ad05cd2cd6996c4c582233c1be573ead08e5c6684275790da07a036570363f89b4d61547b306589b0b98ed5fca70723a3f2cbc21fe11
DIST mysql-boost-5.7.30.tar.gz 51363998 BLAKE2B 7897ad74b685c3b30e7ecdf132fdfa72f3416c05e8d0086cb8f7674b6c4f377fff9abc51ed258cc4dfeab50a2cb393af9076d9c1f9a83a26521facbaf223afa1 SHA512 b75d41d0c72d16c6f8d5393dab6e476b7993d296eb5683c12417ce2da3db2052fdab2a152f6e7c545315d21bfa35f26a247cb6cdab83d3418b5d34ed7f5f9560
@ -17,12 +19,14 @@ DIST mysql-boost-5.7.31.tar.gz 51382559 BLAKE2B 86430ee01b0b066ffbd1c876c7d09afe
DIST mysql-boost-5.7.32.tar.gz 52882168 BLAKE2B dd112fa1d8bd29d86fba076675b5b7c9c98b6fb876aed45a00e8a25be716102fc9aa688b7170bef07b1c9f9751737277774d8fb2c64c21e181ecae58f89b4a8a SHA512 33a617d040efd065ea1c2ad84be537f851480abd5cc8a6879b7f170bc4e6db9432bd03f2a6bc680b71f17839c508cab0e7ef1a3aba032197da1b7943c916c77a
DIST mysql-boost-5.7.33.tar.gz 52912380 BLAKE2B bca09314ae73932f6095799faa016998e65655cf5ea74d5596dcdc785e77014fe0b29a6c123e8618771f4a20a19978df00f7b79eea329aeb4b536ae71a4bef94 SHA512 1d1e1e5934fb17ff731fea45b88d4af6a394c2fbf0177a87803b18cb0eb4fb8d4939f82fc22b6cbc2af64022a44e206cd23e2e88ce11cc119c3ea22129d54e7a
DIST mysql-boost-5.7.34.tar.gz 52891142 BLAKE2B 986fe106d73495ea9acb837f699ef2b1ffd123d9728b61da42f990d670569f1f7c12dc0a8611c3a7b6e3ed7be9fc277e1a977fa6c6d06f7d156a2f492951d9c7 SHA512 4eab7e90477b75643df743d806d5abcfb56572a2aa003a354980287c9148209f4fb7f0158ba969fb0462c32e49fcb4cf2a79f0330ab1bd2b243725dbf6f31d6d
DIST mysql-boost-5.7.35.tar.gz 52959014 BLAKE2B 02cbc2201176773516479636ab40828a98bbc6bc1e90060e36d36af5c20a84b4b415d6e467328890ecff044834c81458fff8b717fd8942196dcf35e0ae85f298 SHA512 2469c8e13a236aee327bc0828804ba189e3abf78b6e0b3ef65b2343210f9c0cd5313d18b57ae3b76ca1487dc1d70854c8a12e6da61a6fffbce95854dcc792482
DIST mysql-boost-8.0.19.tar.gz 264147972 BLAKE2B 61a5ccbef1a7a675c85e4e6bda8e5285bdb931e6ee14d4710bf13dfd9157d1095200db2886dc93ea7251d3d59245f35c0bef5ba88ba6aac209b1e080f3b07dc4 SHA512 5ffc03f005ab2585694902e926b6cb2b10059b2b030549eccd3949f9c3b2f02626d02529f940dec003f2d69683856fd1c720ff12f89dfbdc48befaf24a9c4d01
DIST mysql-boost-8.0.20.tar.gz 266282970 BLAKE2B 2aeb9d6c575ed9dc2d00d3e51e6391c59ffa39156491d9ed2c07e19bb2efb88a14d5a9d4b537c137d71854e39fa3a7fc2b93618118d4fd062e92ba2d83783c6f SHA512 7a962e9ddec7069008c5ab6ac2801515e2661ca2875afc6141541c03e2f941f4255b3c0d806a4df2fd2f2f1d12323aeb1e456c1d364777a18ccebefad7b22a99
DIST mysql-boost-8.0.21.tar.gz 278292192 BLAKE2B 9e5a14d1401f58f6f620c8691d2d4d3ada122a79a4e081380050961f0add93bf32b682c60ea2a6e58f50a4fcedbd323d8efe2d5f3e1f2bba5010e201a2df5d44 SHA512 18128edd7d9604ea69bd308f372d6663ef3629503969148e3a2117175c4ef625358b31b96e0e1b8d10a87037719e3cb61d5c71eee1e26ab0e0a1731977a2d7c1
DIST mysql-boost-8.0.22.tar.gz 285934450 BLAKE2B 1ba0c9bb9a0cb74af4842d3b746f8b690c122cfbf2c6d5201ce95e59a257427a8683dd8d5c2be31dfe9ece4761366c1287fa7b841c45db222725bf76b0639bc6 SHA512 792f2ada93ec67a4679228478c6b798e81d9e9f6d13c7f4977cb7682738a4aae3cb483294edc6b2fde16c3960e51af8786216c063ab500840afd39a609e4b612
DIST mysql-boost-8.0.23.tar.gz 291039175 BLAKE2B 3a7d3e05c774085d6078d0d3effd58d2df47521615356a2aa5efc2ea2ef8457e19ad57a054926ccff0a4752ca71d0464daa7fe9a3ac6c1b1d3bd86a9a82dfc58 SHA512 b8c2e2ac772b7b730f8b3bac7a5afb205da173b3639500606e7d1fac74832a0134027951855a2dc81af015e6158c924927ad63b9e1f2e7c823d45d4c4961c3f8
DIST mysql-boost-8.0.25.tar.gz 290265324 BLAKE2B 5393a2a2525a886d9ece19777deae01e6c0b24b9ff5a0a5ffb9075740ed912d0df59a165b6ec9ceb60c7c28f3062cda5cceb4da3a8280f42549984c846f1ce5c SHA512 af653ccff66a9d87221b46ad4f7bcc629700549f758998b9a7fb22e4573b9495a28624e031f016f9ad8fe0dfcf481b82f1ffe224aa48c2d45531570026b26081
DIST mysql-boost-8.0.26.tar.gz 291285918 BLAKE2B 6198ca8982a8c9df7e6ee4df5e2c1e0d64d2eb4d83cb7265317b58d55f6787c3240c8e40d196f2326ff3d66926ad7dab0705edd92e5a82881ce6ddb7f0c510b9 SHA512 63d47cb52407a816dc9f4330b99924624dfee46e57e7fdce19eff32909dd9e23251e2439d1807b002a1661b547173222c77465a3ca4dbb312414a84927809cfc
DIST mysql-extras-20190822-1908Z.tar.bz2 338830 BLAKE2B bc197f8e541206548d8982814e82e028d699ba9c41aec8d5191bcc46581f7880ed2741dbe2206fde44a5e8d8d54bbcf40efbd0709b357636c4c8fdb2ccc3a7bb SHA512 be469e55f7e9966638600d6836a44258c74e5600240fafe2d79eaeebe7d1695b043678184b5d18ee9946f28154bc2529586a7f860b510180a30c82454ed575c8
DIST mysql-extras-20200125-1945Z.tar.bz2 344906 BLAKE2B 0e87875efbc221ded43d6f080dc7dce4277b676b538950120c94b962e51d054093286486e5d83ea3e38e1b2d0b12cf81873df50e1cebbe4cff33b54297e6a17a SHA512 5fcc5d372998db2b8aef32661ff71290791c20c1195a6210ca79c0fda12008906e665f9dc878d3df5a38a95e23ff05b910daa861002c17a1b6de71ef0520bee1
DIST mysql-extras-20200317-0103Z.tar.bz2 344905 BLAKE2B c4c8bb2acea16663ab32cf291d0a2d52af04448a507ad3a6dc22dfdef4d6ba427582d66e5923d05cd51565286f85c8df5ccabef9a67a4a500574d21e1f708f27 SHA512 d1d34817faf0a1271f906213eea9081c204d745b14f96166f17d5c60a29ec58c05926e7216f135b6e9d5df2ceab373f10fc4e6a652514d99ba34a336571dce1f

1293
dev-db/mysql/mysql-5.7.35.ebuild
File diff suppressed because it is too large
View File

1226
dev-db/mysql/mysql-8.0.26.ebuild
File diff suppressed because it is too large
View File

2
dev-db/percona-server/Manifest

@ -3,3 +3,5 @@ DIST percona-server-8.0.22-13.tar.gz 530806570 BLAKE2B 256e5afa2e3908617c41ffcab
DIST percona-server-8.0.22.13-patches-02.tar.xz 9620 BLAKE2B c04e97ed422719bec5008b668e2ce3ecd5b848338a9f2f2ecd2fc867307b7fce9bae4cb0efd44f9b950f74d7f31394c06248d1c72784e9c0790378e2ea4d7934 SHA512 2476ee2f4096eaee211017609f82cf8fa9817cda6345336f478257711b64b8c37340b482a02f3d0b19e16e01055cf619cdd1b66d5fbfa0fd1d8edbd529c4096f
DIST percona-server-8.0.23-14.tar.gz 528227168 BLAKE2B c497e69d3e7f370e6ffd71ef8129fccb35d8814e713bf78da04b7517f56e7d733d0b54543e86a24568587ae270bd7ca7add36646845e8f7dc5c288aebd1db8c7 SHA512 199669fc53b80426be709a2d7026f6aa821f2d98e5763b3311f564550687cc6401def191f56c615ffed69264a09aaec78ca8371d35a6a69386832f24f30df71b
DIST percona-server-8.0.23.14-patches-01.tar.xz 5908 BLAKE2B 968fbe0f8e3666ada008d81e9e07a5149dc6137908bf955bdf37c6bc6703cdb7a1d9a7395435d6b8772865b08d6d6716690331968069e4c1d3059a38b3c8ca49 SHA512 31983837d7fbd42b5e227f6617e2b59303ce185c613f620a61a9b9d26cd075feaf58969e3d8b415c70ee796bd1e912204cd5780e6d07cf6e2b0dc28ca41b6f70
DIST percona-server-8.0.25-15.tar.gz 531072362 BLAKE2B aa6867a8ac72325596393723cf8735329f638cfe11f790c7690dc5f45dcf01f99f9f999c551b2ad6b9f287f8763e8b262fef7c9327b82882493b576acd8d7a69 SHA512 500fc4ab5d275d7d1d2b048920d22d725074450d9f356b4ea739a4c276bfe767db76e2b52a358867d77805ef288cfdb80ab6e230bfa77a84b97536bf153c443f
DIST percona-server-8.0.25.15-patches-01.tar.xz 7624 BLAKE2B b06495859f3df546bc42e69ec77007a335103020313524ed728309764fea8ca2ea6f246938852ab2fb5ea12b4d901af5ebb9abff4d99b7e56d6ffd501d10bd38 SHA512 69b2d478046666d7c5dbffe662f4e000fd1c2c8789bcaeea72b8bb229ad85d8cd54a293c74440f93c56dc07a06143553ff989711787e6cd610a8e23bb353a1df

1273
dev-db/percona-server/percona-server-8.0.25.15.ebuild
File diff suppressed because it is too large
View File

2
dev-perl/Config-AutoConf/Config-AutoConf-0.319.0.ebuild

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="A module to implement some of AutoConf macros in pure perl"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86"
IUSE="test"
RESTRICT="!test? ( test )"

2
dev-perl/File-Slurper/File-Slurper-0.12.0.ebuild

@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="A simple, sane and efficient module to slurp a file"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

BIN
dev-perl/Manifest.gz

2
dev-perl/PerlIO-utf8_strict/PerlIO-utf8_strict-0.8.0.ebuild

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Fast and correct UTF-8 IO"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
virtual/perl-XSLoader

BIN
dev-python/Manifest.gz

2
dev-python/anyio/anyio-3.2.1.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1

2
dev-python/backports-entry_points_selectable/backports-entry_points_selectable-1.1.0.ebuild

@ -18,7 +18,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~riscv ~sparc ~x86"
RDEPEND="
$(python_gen_cond_dep '

2
dev-python/configobj/configobj-5.0.6-r1.ebuild

@ -14,7 +14,7 @@ SRC_URI="https://github.com/DiffSK/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"

2
dev-python/httpcore/httpcore-0.13.6.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1

2
dev-python/mkdocs-material/Manifest

@ -1,3 +1,3 @@
DIST mkdocs-material-7.1.1.tar.gz 6080208 BLAKE2B a67742ce923dc7bbefbb5638156f5a2f703bd54af96e59b1c580264ae3096d0a823df6cd88151f2c446a97b578bc4a620d694323f5a81cc33836181dad203214 SHA512 ab6b9b4b08268c15b42cf9d5d26ea0bc91151efb1b478602b495f603335792fcd1f9058ecc52767cb861969ab1db7aff2681653db35cb739173b56f7f32f9c65
DIST mkdocs-material-7.1.9.tar.gz 6492415 BLAKE2B 67a86251289126320088dde4611ea1c1e75543e7edcb2f737dfcf21844f53a3457544716cded44f0954c2658cb107e5cae589efa2c71ee07151a39ed0f28401f SHA512 1a4296ff692842e61406b24ac50b1c02550a2581040611c263aa744c98031a54c6f380e6f655aa477f98d7507d2e8649434fc981928e9d27f09df71cccd22ecd
DIST mkdocs-material-7.2.1.tar.gz 6773988 BLAKE2B 8b57a58b11ecdf9fb9668a766d10869040c8f6e2d2045cae01e4e32243503540ef955c81bdf0b2066886a309c46e724586a912631ffb78a6383ee1736f1b13d1 SHA512 9ce1cd733205ab87e865c8b90e9b78b133b5172acc042f8ee954073885c8380d06607ead2fc80352311502638c02439798515acfe8521c06b9fee707173e7d63
DIST mkdocs-material-7.2.2.tar.gz 6777834 BLAKE2B 09c5ee5e0e0cef76ca66c8d86941fa044f2650d621a194991f279c09dd64c81c96bdfbe7d37eee5fe0e3837fc6461e7abad3537d92f3fdd178078485665088b5 SHA512 5332246103eb3007df3d2fd7ead4f2f60ce29c0e8a2bef6249db3e14a8e0ce1b2cdaffe4f48f57701d07a1771e275c69a79006ec53cfacff1a885894076188fb

2
dev-python/mkdocs-material/mkdocs-material-7.2.1.ebuild → dev-python/mkdocs-material/mkdocs-material-7.2.2.ebuild

@ -3,7 +3,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{8..9} )
DOCS_BUILDER="mkdocs"
DOCS_DEPEND="

1
dev-python/mysql-connector-python/Manifest

@ -1,3 +1,4 @@
DIST mysql-connector-python-8.0.22.tar.gz 12081967 BLAKE2B fc6b724ec2eb47a92294f7316093d4a4d2f4925981adeb07b305e946a047dbdaedd96c6ff9a07426fd56185f467cf6473bc84e0896d2e8fde70a188af16e9df2 SHA512 07f380922c18f9ade38f95d8e107fe8f90b8a7901fb9a36bbdfdb2b29f9cb79b0b6387a608e89bf90e9344c635d47184c750a206beacb2c9cc7615d6a7df2c29
DIST mysql-connector-python-8.0.23.tar.gz 12095843 BLAKE2B e4cc24f045d0e988ad97a9427fa3f6e20eb9d993d97f51033140e12722bc04fc3a2b252b811402daea2fea8f987948ebd8c68623f2af3e0e7e35d2b0d6fa7eda SHA512 66ca61c15573555a3f42ad8a9e9b3a4bc612c4d2b4e54928af87adcf609e131e9afd53b76c3a8da30f181e4f2111245cda5995063109526ff72f4f2062c2e528
DIST mysql-connector-python-8.0.25.tar.gz 14600643 BLAKE2B e3452aa82dc047cfdec8e64975ceb4f1ba7804aae770956fa52293e185408a4a31b2f563a21dcc6f0c5be0f4a5858d6b58f0d33ab5cf5071543e2c68b2b52b52 SHA512 2a76b879b369e69e0ed6a67d1eab4787c0f9a29c505ad785b03b6b25d7c92b85547082adeae572c75e61b613f39ee01d291fdf54927bdaf25dfcfc85cb8ced7c
DIST mysql-connector-python-8.0.26.tar.gz 15180658 BLAKE2B e964728d5f39b9ca5abc72ab84780b463708d1a1cf90507330e73be4837cd30befe245ddd70783490660c70da1b7c162803eee743a0e668cfa6b82773bea4fef SHA512 204021e08b21c5efe87c0f59a6ff3b949cc1d01005121dfe5dde7fea12852a3e28c35b68e06e04f2c0ac4f911bfc14893e6509c99d0c5bf2c30fa32d4131c630

53
dev-python/mysql-connector-python/mysql-connector-python-8.0.26.ebuild

@ -0,0 +1,53 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1
DESCRIPTION="Python client library for MariaDB/MySQL"
HOMEPAGE="https://dev.mysql.com/downloads/connector/python/"
SRC_URI="https://github.com/mysql/mysql-connector-python/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~x86"
LICENSE="GPL-2"
SLOT="0"
IUSE="examples test"
BDEPEND=">=dev-libs/protobuf-3.6.1"
RDEPEND="
>=dev-db/mysql-connector-c-8.0
>=dev-python/protobuf-python-3.6.1[${PYTHON_USEDEP}]
dev-python/dnspython[${PYTHON_USEDEP}]
"
# tests/mysqld.py does not like MariaDB version strings.
# See the regex MySQLServerBase._get_version.
DEPEND="${RDEPEND} test? ( dev-db/mysql[server(+)] )"
# Tests currently fail.
# mysql.connector.errors.DatabaseError: 1300 (HY000): Invalid utf8 character string: ''
RESTRICT="test"
DOCS=( README.txt CHANGES.txt README.rst )
python_test() {
"${EPYTHON}" unittests.py --with-mysql="${EPREFIX}/usr" --unix-socket="${T}" --mysql-topdir="${T}"
}
# Yeah, this is really broken, but the extension will only build this way during "install"
python_install() {
distutils-r1_python_install \
--with-mysql-capi="${EPREFIX}/usr" \
--with-protobuf-include-dir="${EPREFIX}/usr/include/google/protobuf/" \
--with-protobuf-lib-dir="${EPREFIX}/usr/$(get_libdir)" \
--with-protoc="${EPREFIX}/usr/bin/protoc"
}
python_install_all() {
distutils-r1_python_install_all
if use examples ; then
dodoc -r examples
fi
}

2
dev-python/platformdirs/platformdirs-2.0.2.ebuild

@ -16,7 +16,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~riscv ~sparc ~x86"
BDEPEND="
test? ( dev-python/appdirs[${PYTHON_USEDEP}] )"

2
dev-python/python-dotenv/python-dotenv-0.18.0-r1.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Manage .env files"

2
dev-python/python-efl/python-efl-1.25.0.ebuild

@ -14,7 +14,7 @@ SRC_URI="https://download.enlightenment.org/rel/bindings/python/${P}.tar.xz"
LICENSE="|| ( GPL-3 LGPL-3 )"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="amd64 ~riscv x86"
IUSE="doc test"
RESTRICT="!test? ( test )"

2
dev-python/python-lsp-server/Manifest

@ -1,3 +1,3 @@
DIST python-lsp-server-1.0.1.tar.gz 56835 BLAKE2B 430e215b7d65bff2008136783539c262ee201d651bf83750333d41353483882fe7a603208c2725c89530a34cef22e73fe1ef26ec80fe7fb42d2df79eae511528 SHA512 bf116d92bdebea41e4f6647673d390887d84be70d612b92b8c3973aa55db4b151c1188b06fb8e3b6dccb814fd22f938572e998f0b1329bf0b69d0e4750b8f5f6
DIST python-lsp-server-1.1.0.tar.gz 58194 BLAKE2B bc1d542e90a1295e7bddf68d366a738b371895a453e8fb7de5b0d688c49b45b9c3441d479c1f760291e32eedc6fd42cb5ee0966ed32a10ee7f883dee3559932f SHA512 fd9f1985bd55f93740671e83696b02567b12b9b77db14c495482494d23f0a73b2048d99fce9c1be0b7d7c847f213a681d379c342d128a95cf40bd3ffeca9766f
DIST python-lsp-server-1.2.0.tar.gz 61430 BLAKE2B 2fa893eb4318a1e80d14a63c2db1aff240cfefe431d934d0536d4d55b793d0365ba4b1cce820beb8a451a2a846024a08f576e54e2a503ef850fcd4334d38b770 SHA512 5d6266ceb12ad8fe0426f29353bf574705c929c30cf1adf439d5d3a2023d00b077e23ae21cafc46f7ac4c32c9362c545be6193a585d564cfdfc9c51785c8c805
DIST python-lsp-server-1.2.1.tar.gz 61448 BLAKE2B 28294bf1f62a4fd0bf7b32b51a34b6206551614523130d7bb11f7f2e0175d4c061decada8c4f7713dc6c775f09f423d2c622d17354307faa557a48f5db2cdad3 SHA512 7a82af96508db943699ae63c90576205fca78e2ff47093934f26d9c5547199753acbc83ac0bdddb00d373761bebb31b5b869a9a02f734a5a4e033e7f024bf2d1

4
dev-python/python-lsp-server/python-lsp-server-1.2.0.ebuild → dev-python/python-lsp-server/python-lsp-server-1.2.1.ebuild

@ -1,9 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{8..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1 optfeature

1
dev-python/setuptools/Manifest

@ -1,3 +1,4 @@
DIST python-gentoo-patches-3.10.0rc1.tar.xz 8112 BLAKE2B d6f9b44c5a231f447ffe3533afbcaffe0f3b8bdd5a6690f1854bd7e1199d036d11a4cf4abfae345a88c42740ccbd4b72e53cbe28aea1a5db39dda1e5bfd47229 SHA512 bba7045f56369ca0354a539f8478a1afed77dc89a9faf548a0cf8959d644360b0afc4f84b95151ebfc2a6553078322c7445073f7a4104e9cd639ccc86ad0f792
DIST setuptools-57.0.0.tar.gz 2144749 BLAKE2B e1fc99503ee5de425b70bf2733b1c489693e38cd256bf95cb321671bdaf87745eaaf40c43bcd03756a4cefa408dd1414f8c30af274963e3a0ae57f7b95d3f9c0 SHA512 5277d8630367d6b16a49e36ed84d8cc6abfaedf87dac3f795b204626a8f15ca9fd80d158a465d8bcabe9c074c76b87c3378d82a4ba5feee1ac6a5f2c91db061e
DIST setuptools-57.1.0.tar.gz 2144012 BLAKE2B 148eb7b5e432461f692faeb3fd4eaafb99bb9fcd2c430cbde40fb16b365ed011ce49966a8923337a860b63cdc6d8f3a26efdd138cf4c40c99e72f7d714fce57c SHA512 dfcf75584b3d7ae07e0f58ce8f596d7e9cbe3a0c178411053b066fb4362226bcf6467a79aed0853acd0b9f6a3371c47ddb07d77cbd780fe9782b8c19bce2e5fb
DIST setuptools-57.4.0.tar.gz 2141309 BLAKE2B 89b386b6d5bbac61df400f60c91a0a9b9ee381aec7d2f65a856c317c7b0b5512c5e9aa8844c0e64f1840a8e954ae22ed542ad97a104d5416b1df2ac02351809b SHA512 7fcc297ea3e6310f2ec8ba5bf0d509e3f4acbce6bde7e5f0fe1b022c147cf88a047471bd4aa278724e86ebc6be800015fb935c7a31dbb6a0801a2d380ddd89f2

87
dev-python/setuptools/setuptools-57.4.0-r1.ebuild

@ -0,0 +1,87 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# Set to 'manual' to avoid triggering install QA check
DISTUTILS_USE_SETUPTOOLS=manual
PYTHON_COMPAT=( python3_{8..10} pypy3 )
PYTHON_REQ_USE="xml(+)"
inherit distutils-r1 multiprocessing
CPY_PATCHSET="python-gentoo-patches-3.10.0rc1"
DESCRIPTION="Collection of extensions to Distutils"
HOMEPAGE="https://github.com/pypa/setuptools https://pypi.org/project/setuptools/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
https://dev.gentoo.org/~mgorny/dist/python/${CPY_PATCHSET}.tar.xz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"
BDEPEND="
test? (
$(python_gen_cond_dep '
dev-python/jaraco-envs[${PYTHON_USEDEP}]
>=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/virtualenv-20[${PYTHON_USEDEP}]
dev-python/wheel[${PYTHON_USEDEP}]
' python3_{8..10} pypy3)
)
"
PDEPEND="
>=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]"
# Force in-source build because build system modifies sources.
DISTUTILS_IN_SOURCE_BUILD=1
DOCS=( {CHANGES,README}.rst )
src_prepare() {
# apply distutils patches to the bundled distutils
pushd setuptools/_distutils >/dev/null || die
# TODO: distutils C++ patch?
eapply -p3 "${WORKDIR}/${CPY_PATCHSET}/0006-distutils-make-OO-enable-both-opt-1-and-opt-2-optimi.patch"
popd >/dev/null || die
distutils-r1_src_prepare
}
python_test() {
# keep in sync with python_gen_cond_dep above!
has "${EPYTHON}" python3.{8..10} pypy3 || continue
distutils_install_for_testing
local deselect=(
# network
'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
setuptools/tests/test_distutils_adoption.py
# TODO
setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
)
[[ ${EPYTHON} == pypy3 ]] && deselect+=(
setuptools/tests/test_develop.py::TestDevelop::test_2to3_user_mode
)
# test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
# It tries to sandbox the test in a tempdir
HOME="${PWD}" epytest ${deselect[@]/#/--deselect } \
-n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" \
setuptools
}
python_install() {
export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
distutils-r1_python_install
}

11
dev-python/tomli/tomli-1.0.4.ebuild

@ -3,7 +3,6 @@
EAPI=8
DISTUTILS_USE_SETUPTOOLS=pyproject.toml
PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
@ -23,3 +22,13 @@ BDEPEND="
test? ( dev-python/python-dateutil[${PYTHON_USEDEP}] )"
distutils_enable_tests pytest
src_prepare() {
# we don't use pyproject.toml to avoid circular deps
cat > setup.py <<-EOF || die
from setuptools import setup
setup(name="tomli", version="${PV}", packages=["tomli"], package_data={"": ["*"]})
EOF
distutils-r1_src_prepare
}

2
dev-python/virtualenv/virtualenv-20.7.0.ebuild

@ -17,7 +17,7 @@ HOMEPAGE="
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~riscv ~sparc ~x86"
SLOT="0"
RDEPEND="

2
dev-python/wsproto/wsproto-1.0.0.ebuild

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
PYTHON_COMPAT=( python3_{7..10} )
inherit distutils-r1

BIN
dev-util/Manifest.gz

1
dev-util/howdoi/Manifest

@ -1,2 +1,3 @@
DIST howdoi-2.0.15.tar.gz 27545 BLAKE2B 204d7e3ddab07e24ccc08964c3880477743970502423887a2360079606c832b93d1e8fbcec237b77533c2e21d4a35af08b9418d5ce62f8b2ceca70ee844c21ff SHA512 e0b3faf1cde78d35a23e11070b3d73db7468bfe79ec8f71b2370681d3dea1bcf1a313594fd1e4f21aa62035460e5c31509ff683fea3e0e35e9412b173ad874bb
DIST howdoi-2.0.16.tar.gz 28483 BLAKE2B 466ddc6b6f5a2bfbbf781dddf89d272b609d530b080a06dd33528727010dd6f42b823996bfb3fcbb4afea95fc667f61d30b1cf17a8c5fb1a4c66836be57e1110 SHA512 606346514670d891df91c6d3bd83cae599b2ed2d7d1908b8b805435579ea75c6e25f171bc31af1af7519ac142459b73cae7ffe93d747effb2fb0cee00aa59b1b
DIST howdoi-2.0.17.tar.gz 26892 BLAKE2B 5b0eee59a3136db35a40a5ffeac6fb95378bf036e005ae0bbfac894969e54435720396bb8f9bc45b3aa575a8955f203b7f352d7cedc0031443e358b9db11808e SHA512 e9b67386909e7015eff45db33857e935a2e995d6b08c1ee9d9d13caeab4c25b9dd9eab2a8bc653684c5b5b0e33b6b1eef382ab559736099811bae4f74bb784aa

26
dev-util/howdoi/howdoi-2.0.17.ebuild

@ -0,0 +1,26 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS="manual"
PYTHON_COMPAT=( python3_{7..9} )
inherit distutils-r1
DESCRIPTION="A code search tool"
HOMEPAGE="https://pypi.org/project/howdoi/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="
dev-python/appdirs[${PYTHON_USEDEP}]
dev-python/cachelib[${PYTHON_USEDEP}]
dev-python/keep[${PYTHON_USEDEP}]
dev-python/pygments[${PYTHON_USEDEP}]
>=dev-python/pyquery-1.4.1[${PYTHON_USEDEP}]
>=dev-python/requests-2.24.0[${PYTHON_USEDEP}]
"

1
dev-util/pkgcheck/Manifest

@ -2,4 +2,5 @@ DIST pkgcheck-0.10.0.tar.gz 453555 BLAKE2B aeb211619f400b729a9f5e7e1ffa787c33c1c
DIST pkgcheck-0.10.1.tar.gz 454051 BLAKE2B ba0e91fee539d0a41c27da08c91e1c65078eaebea33b8254cbad38d49feb91a4aa490992a5d88bd96ce0570d89f9f8343d0ff0a2d7368f09d55637b2597aad6b SHA512 044067928bc1c1280a95e785def80e6ebb289e0882f9a61b18d1d75ddc22c4f7eea1da4a4621fd5a598c3e7ee75ece2adedb936086f3c3cbc92c23ab93419215
DIST pkgcheck-0.10.2.tar.gz 454643 BLAKE2B 4585a72ce9675a23a3bcd7228ac811bdf45bacf2a25d91b9665f833de6dffbac5c4e11405b112bd5dd6e643fc51c3f57cf7dda989c2521c11e279324a02740c7 SHA512 0151d6fb81f800d46b65bb02bd5474ae36e8e4dc35376f1abfaa1c8be61e3429e527947b42f76c9f6da5ede648617d58f6b9ac44a93ff58175b748dfd9a43cbe
DIST pkgcheck-0.10.3.tar.gz 454953 BLAKE2B 5ee2c13cb1ca5b13bfcd8434700c69e6839c5dc2f25dec4060020f8477159ff071b1487a446ba7e03bf1b8d139e8c65a1cd21a777d8bfe3ce677bbfe39b8d85f SHA512 edef25fc1542c3d3fb89c0c1546ebfa736b6ad4b113b0e6bc9ede379b0a5cb9ece5dd8b79ddb2df2cfeaf7f67f290e96a8baee1f2dfcc3bcebe32d9dcf4c264e
DIST pkgcheck-0.10.4.tar.gz 455252 BLAKE2B 3fb8183120b8a45569a007e4c9e521e5b070554523c5c2fbf44c383996896924800d42f79f9809e0fcc3b04363b2c50a8894b547376a8c030f4d0451c7f943bf SHA512 f5f01340ff4ac882da8e56cbb44440425dcb42c5ed6a9ab102c435a61cfca6861a421ee294039f055fec5b93cae338ea4ba23237f1ba509e6e24bdba351427eb
DIST pkgcheck-0.9.7.tar.gz 453478 BLAKE2B 486bae68af1757fbdb4b109b34cea836cb6dee258d4e53b4c3818c1aa6194da86e7ee339335ac6f2a1c2fb89a547f46658fadd88706fa807a9fdce2bb82a5c65 SHA512 e8fc02997d558af1e8e89a13130076b4db59e9c2a8ea383d0dca9a57375dae1fb315619593178d67c89d30e7b16810905694c838ea4ec608eaee195fa4797569

59
dev-util/pkgcheck/pkgcheck-0.10.4.ebuild

@ -0,0 +1,59 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
DISTUTILS_IN_SOURCE_BUILD=1
inherit distutils-r1 optfeature
if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/pkgcore/pkgcheck.git"
inherit git-r3
else
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
fi
DESCRIPTION="pkgcore-based QA utility for ebuild repos"
HOMEPAGE="https://github.com/pkgcore/pkgcheck"
LICENSE="BSD MIT"
SLOT="0"
if [[ ${PV} == *9999 ]]; then
RDEPEND="
~dev-python/snakeoil-9999[${PYTHON_USEDEP}]
~sys-apps/pkgcore-9999[${PYTHON_USEDEP}]"
else
RDEPEND="
>=dev-python/snakeoil-0.9.6[${PYTHON_USEDEP}]
>=sys-apps/pkgcore-0.12.1[${PYTHON_USEDEP}]"
fi
RDEPEND+="
dev-python/chardet[${PYTHON_USEDEP}]
dev-python/lazy-object-proxy[${PYTHON_USEDEP}]
dev-python/lxml[${PYTHON_USEDEP}]
dev-python/pathspec[${PYTHON_USEDEP}]
>=dev-python/tree-sitter-0.19.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? ( dev-python/pytest[${PYTHON_USEDEP}] )
"
distutils_enable_tests setup.py
src_test() {
local -x PYTHONDONTWRITEBYTECODE=
distutils-r1_src_test
}
python_install_all() {
local DOCS=( NEWS.rst )
[[ ${PV} == *9999 ]] || doman man/*
distutils-r1_python_install_all
}
pkg_postinst() {
optfeature "Network check support" dev-python/requests
optfeature "Perl module version check support" dev-perl/Gentoo-PerlMod-Version
}

24
dev-util/pkgconf/files/pkgconf-1.7.3-darwin9.patch

@ -1,24 +0,0 @@
darwin9 does not malloc on NULL resolved_path
https://github.com/pkgconf/pkgconf/pull/208
--- a/libpkgconf/path.c
+++ b/libpkgconf/path.c
@@ -92,15 +92,11 @@
return;
if (S_ISLNK(st.st_mode))
{
- char *linkdest = realpath(path, NULL);
+ char pathbuf[PATH_MAX];
+ char *linkdest = realpath(path, pathbuf);
if (linkdest != NULL && stat(linkdest, &st) == -1)
- {
- free(linkdest);
return;
- }
-
- free(linkdest);
}
if (path_list_contains_entry(path, dirlist, &st))
return;

3
dev-util/pkgconf/metadata.xml

@ -9,6 +9,9 @@
<email>polynomial-c@gentoo.org</email>
<name>Lars Wendler</name>
</maintainer>
<maintainer type="project">
<email>base-system@gentoo.org</email>
</maintainer>
<slots>
<subslots>SONAME version of libpkgconf</subslots>
</slots>

2
dev-util/pkgconf/pkgconf-1.7.4.ebuild

@ -40,8 +40,6 @@ MULTILIB_CHOST_TOOLS=(
src_prepare() {
default
[[ ${CHOST} == *-darwin9 ]] && eapply "${FILESDIR}"/${PN}-1.7.3-darwin9.patch
[[ ${PV} == "9999" ]] && eautoreconf
if use pkg-config; then
MULTILIB_CHOST_TOOLS+=(

2
dev-util/pkgconf/pkgconf-1.8.0.ebuild

@ -40,8 +40,6 @@ MULTILIB_CHOST_TOOLS=(
src_prepare() {
default
[[ ${CHOST} == *-darwin9 ]] && eapply "${FILESDIR}"/${PN}-1.7.3-darwin9.patch
[[ ${PV} == "9999" ]] && eautoreconf
if use pkg-config; then
MULTILIB_CHOST_TOOLS+=(

4
dev-util/pkgconf/pkgconf-9999.ebuild

@ -1,4 +1,4 @@
# Copyright 2012-2020 Gentoo Authors
# Copyright 2012-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -10,7 +10,7 @@ if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://git.sr.ht/~kaniini/pkgconf"
else
SRC_URI="http://distfiles.dereferenced.org/${PN}/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~ppc-macos ~x64-macos"
fi
DESCRIPTION="pkg-config compatible replacement with no dependencies other than ANSI C89"

2
dev-util/visualvm/visualvm-2.0.7.ebuild

@ -19,7 +19,7 @@ SRC_URI="https://github.com/oracle/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2-with-linking-exception"
SLOT="7"
KEYWORDS="~amd64"
KEYWORDS="amd64"
RDEPEND="
>=virtual/jre-1.8"

BIN
mail-mta/Manifest.gz

2
mail-mta/nullmailer/nullmailer-2.2-r2.ebuild

@ -11,7 +11,7 @@ SRC_URI="http://untroubled.org/${PN}/archive/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc ~ppc64 x86 ~x64-cygwin"
KEYWORDS="amd64 arm arm64 ppc ~ppc64 ~riscv x86 ~x64-cygwin"
IUSE="ssl test"
RESTRICT="!test? ( test )"

BIN
media-libs/Manifest.gz

41
media-libs/ctl/ctl-1.5.2-r2.ebuild

@ -0,0 +1,41 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake
DESCRIPTION="AMPAS' Color Transformation Language"
HOMEPAGE="https://github.com/ampas/CTL"
SRC_URI="https://github.com/ampas/CTL/archive/${P}.tar.gz"
S="${WORKDIR}/CTL-ctl-${PV}"